Get store attribute
View as MarkdownReturns a single store attribute by name.
Full description
Returns a single store attribute by name. The response is a single-key map of the attribute name to its string value. Allow-listed keys that have not been set return 404; keys outside the per-store allow-list return 400.
Authorization
PAT commerce.store:readAuthorizationBearer <token>
Personal Access Token (PAT). Include as Authorization: Bearer $GODADDY_PAT. Required scopes: commerce.store:read.
In: header
Scope: commerce.store:read
Path Parameters
storeId*string
Store ID
Format
uuidattrName*string
Attribute name
Header Parameters
X-Request-Id?string
Request ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/stores/497f6eca-6276-4993-bfeb-53cbbbba6f08/attributes/string"{ "settlementRiskBlockOverride": "true"}Last updated on
How is this guide?